diff --git c/scala/Either$LeftProjection.class w/scala/Either$LeftProjection.class
index d86f4fb287..9fe9ed7152 100644
--- c/scala/Either$LeftProjection.class
+++ w/scala/Either$LeftProjection.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //LeftProjection=class scala/Either$LeftProjection of class scala/Either
 
 Compiled from "Either.scala"
-public final class scala.Either$LeftProjection extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.Either$LeftProjection extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.Either e;
   Signature: Lscala/Either;
 
diff --git c/scala/Either$RightProjection.class w/scala/Either$RightProjection.class
index 477c2c01b6..0f8a588a0d 100644
--- c/scala/Either$RightProjection.class
+++ w/scala/Either$RightProjection.class
@@ -2,7 +2,7 @@ InnerClasses:
 public final #= # of #; //RightProjection=class scala/Either$RightProjection of class scala/Either
 
 Compiled from "Either.scala"
-public final class scala.Either$RightProjection extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.Either$RightProjection extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.Either e;
   Signature: Lscala/Either;
 
diff --git c/scala/Enumeration$Value.class w/scala/Enumeration$Value.class
index 34855067c8..9b90eee1c5 100644
--- c/scala/Enumeration$Value.class
+++ w/scala/Enumeration$Value.class
@@ -4,7 +4,7 @@ public #= # of #; //ValueSet=class scala/Enumeration$ValueSet of class scala/Enu
 public final #= # of #; //ValueSet$=class scala/Enumeration$ValueSet$ of class scala/Enumeration
 
 Compiled from "Enumeration.scala"
-public abstract class scala.Enumeration$Value extends java.lang.Object implements scala.math.Ordered,scala.Serializable,scala.ScalaObject{
+public abstract class scala.Enumeration$Value extends java.lang.Object implements scala.math.Ordered,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/Enumeration$ValueOrdering$.class w/scala/Enumeration$ValueOrdering$.class
index b142d3c814..f1ed0f020e 100644
--- c/scala/Enumeration$ValueOrdering$.class
+++ w/scala/Enumeration$ValueOrdering$.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Value=class scala/Enumeration$Value of class scala/
 public final #= # of #; //ValueOrdering$=class scala/Enumeration$ValueOrdering$ of class scala/Enumeration
 
 Compiled from "Enumeration.scala"
-public final class scala.Enumeration$ValueOrdering$ extends java.lang.Object implements scala.math.Ordering,scala.ScalaObject{
+public final class scala.Enumeration$ValueOrdering$ extends java.lang.Object implements scala.math.Ordering{
 private final scala.Enumeration $outer;
   Signature: Lscala/Enumeration;
 
diff --git c/scala/Enumeration$ValueSet.class w/scala/Enumeration$ValueSet.class
index 4c3ceb7097..bb7be8f2f9 100644
--- c/scala/Enumeration$ValueSet.class
+++ w/scala/Enumeration$ValueSet.class
@@ -5,7 +5,7 @@ public final #= # of #; //ValueSet$=class scala/Enumeration$ValueSet$ of class s
 public final #= # of #; //ValueOrdering$=class scala/Enumeration$ValueOrdering$ of class scala/Enumeration
 
 Compiled from "Enumeration.scala"
-public class scala.Enumeration$ValueSet extends scala.collection.AbstractSet implements scala.collection.immutable.SortedSet,scala.collection.SortedSetLike,scala.Serializable,scala.ScalaObject{
+public class scala.Enumeration$ValueSet extends scala.collection.AbstractSet implements scala.collection.immutable.SortedSet,scala.Serializable{
 private scala.collection.immutable.BitSet nnIds;
   Signature: Lscala/collection/immutable/BitSet;
 
diff --git c/scala/Left.class w/scala/Left.class
index ad54e24ceb..569a7558e6 100644
--- c/scala/Left.class
+++ w/scala/Left.class
@@ -1,6 +1,6 @@
 
 Compiled from "Either.scala"
-public final class scala.Left extends scala.Either implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.Left extends scala.Either implements scala.Product,scala.Serializable{
 private final java.lang.Object a;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/None$.class w/scala/None$.class
index e41e7ceacf..1a880a3eea 100644
--- c/scala/None$.class
+++ w/scala/None$.class
@@ -3,7 +3,7 @@ public #= # of #; //WithFilter=class scala/Option$WithFilter of class scala/Opti
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Option.scala"
-public final class scala.None$ extends scala.Option implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.None$ extends scala.Option implements scala.Product,scala.Serializable{
 public static final scala.None$ MODULE$;
   Signature: Lscala/None$;
 
diff --git c/scala/Option.class w/scala/Option.class
index c9abec56f4..83d3435f64 100644
--- c/scala/Option.class
+++ w/scala/Option.class
@@ -3,7 +3,7 @@ public #= # of #; //WithFilter=class scala/Option$WithFilter of class scala/Opti
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Option.scala"
-public abstract class scala.Option extends java.lang.Object implements scala.Product,scala.Serializable,scala.ScalaObject{
+public abstract class scala.Option extends java.lang.Object implements scala.Product,scala.Serializable{
 public static scala.Option empty();
   Signature: ()Lscala/Option;
   Code:
diff --git c/scala/PartialFunction.class w/scala/PartialFunction.class
index c5aec1bf73..587f4c3db0 100644
--- c/scala/PartialFunction.class
+++ w/scala/PartialFunction.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "PartialFunction.scala"
-public interface scala.PartialFunction extends scala.Function1,scala.ScalaObject{
+public interface scala.PartialFunction extends scala.Function1{
 public abstract boolean isDefinedAt(java.lang.Object);
   Signature: (Ljava/lang/Object;)Z
 
diff --git c/scala/Predef$$eq$colon$eq.class w/scala/Predef$$eq$colon$eq.class
index 5a2c7fa21b..8374ca5682 100644
--- c/scala/Predef$$eq$colon$eq.class
+++ w/scala/Predef$$eq$colon$eq.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$eq$colon$eq=class scala/Predef$$eq$colon$eq of class scala/Predef
 
 Compiled from "Predef.scala"
-public abstract class scala.Predef$$eq$colon$eq extends java.lang.Object implements scala.Function1,scala.Serializable,scala.ScalaObject{
+public abstract class scala.Predef$$eq$colon$eq extends java.lang.Object implements scala.Function1,scala.Serializable{
 public boolean apply$mcZD$sp(double);
   Signature: (D)Z
   Code:
diff --git c/scala/Predef$$less$colon$less.class w/scala/Predef$$less$colon$less.class
index f65271b850..cb4c02713f 100644
--- c/scala/Predef$$less$colon$less.class
+++ w/scala/Predef$$less$colon$less.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "Predef.scala"
-public abstract class scala.Predef$$less$colon$less extends java.lang.Object implements scala.Function1,scala.Serializable,scala.ScalaObject{
+public abstract class scala.Predef$$less$colon$less extends java.lang.Object implements scala.Function1,scala.Serializable{
 public boolean apply$mcZD$sp(double);
   Signature: (D)Z
   Code:
diff --git c/scala/Predef$$less$percent$less.class w/scala/Predef$$less$percent$less.class
index 2fb95f0449..efbe854a93 100644
--- c/scala/Predef$$less$percent$less.class
+++ w/scala/Predef$$less$percent$less.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$percent$less=class scala/Predef$$less$percent$less of class scala/Predef
 
 Compiled from "Predef.scala"
-public abstract class scala.Predef$$less$percent$less extends java.lang.Object implements scala.Function1,scala.Serializable,scala.ScalaObject{
+public abstract class scala.Predef$$less$percent$less extends java.lang.Object implements scala.Function1,scala.Serializable{
 public boolean apply$mcZD$sp(double);
   Signature: (D)Z
   Code:
diff --git c/scala/Product1.class w/scala/Product1.class
index f02b71b95d..18caaeb14d 100644
--- c/scala/Product1.class
+++ w/scala/Product1.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product1.scala"
-public interface scala.Product1 extends scala.Product,scala.ScalaObject{
+public interface scala.Product1 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product11.class w/scala/Product11.class
index f16e5c7e74..1a75c21090 100644
--- c/scala/Product11.class
+++ w/scala/Product11.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product11.scala"
-public interface scala.Product11 extends scala.Product,scala.ScalaObject{
+public interface scala.Product11 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product12.class w/scala/Product12.class
index c5136641d0..1d09e37ac1 100644
--- c/scala/Product12.class
+++ w/scala/Product12.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product12.scala"
-public interface scala.Product12 extends scala.Product,scala.ScalaObject{
+public interface scala.Product12 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product13.class w/scala/Product13.class
index 896925a589..71a535cefe 100644
--- c/scala/Product13.class
+++ w/scala/Product13.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product13.scala"
-public interface scala.Product13 extends scala.Product,scala.ScalaObject{
+public interface scala.Product13 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product14.class w/scala/Product14.class
index f2724c1412..9b75dfd8c8 100644
--- c/scala/Product14.class
+++ w/scala/Product14.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product14.scala"
-public interface scala.Product14 extends scala.Product,scala.ScalaObject{
+public interface scala.Product14 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product15.class w/scala/Product15.class
index 716f3cd19b..2d952059be 100644
--- c/scala/Product15.class
+++ w/scala/Product15.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product15.scala"
-public interface scala.Product15 extends scala.Product,scala.ScalaObject{
+public interface scala.Product15 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product16.class w/scala/Product16.class
index 9a7a432d3c..5715112e9b 100644
--- c/scala/Product16.class
+++ w/scala/Product16.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product16.scala"
-public interface scala.Product16 extends scala.Product,scala.ScalaObject{
+public interface scala.Product16 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product17.class w/scala/Product17.class
index 0d6170bafe..86ed61237b 100644
--- c/scala/Product17.class
+++ w/scala/Product17.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product17.scala"
-public interface scala.Product17 extends scala.Product,scala.ScalaObject{
+public interface scala.Product17 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product18.class w/scala/Product18.class
index 824179a58e..1387a1d7f8 100644
--- c/scala/Product18.class
+++ w/scala/Product18.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product18.scala"
-public interface scala.Product18 extends scala.Product,scala.ScalaObject{
+public interface scala.Product18 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product19.class w/scala/Product19.class
index 8cec920b1f..afd8283a98 100644
--- c/scala/Product19.class
+++ w/scala/Product19.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product19.scala"
-public interface scala.Product19 extends scala.Product,scala.ScalaObject{
+public interface scala.Product19 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product2.class w/scala/Product2.class
index b523c5a7ec..8647444432 100644
--- c/scala/Product2.class
+++ w/scala/Product2.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product2.scala"
-public interface scala.Product2 extends scala.Product,scala.ScalaObject{
+public interface scala.Product2 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product21.class w/scala/Product21.class
index 6cd96838f4..c6639c0bb7 100644
--- c/scala/Product21.class
+++ w/scala/Product21.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product21.scala"
-public interface scala.Product21 extends scala.Product,scala.ScalaObject{
+public interface scala.Product21 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product22.class w/scala/Product22.class
index 5a698be3cd..bf537e507b 100644
--- c/scala/Product22.class
+++ w/scala/Product22.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product22.scala"
-public interface scala.Product22 extends scala.Product,scala.ScalaObject{
+public interface scala.Product22 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product3.class w/scala/Product3.class
index fea8a77252..e397977f2f 100644
--- c/scala/Product3.class
+++ w/scala/Product3.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product3.scala"
-public interface scala.Product3 extends scala.Product,scala.ScalaObject{
+public interface scala.Product3 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product4.class w/scala/Product4.class
index 851fbcfcde..1add8234b6 100644
--- c/scala/Product4.class
+++ w/scala/Product4.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product4.scala"
-public interface scala.Product4 extends scala.Product,scala.ScalaObject{
+public interface scala.Product4 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product5.class w/scala/Product5.class
index 44fdec5843..fa4f7861d2 100644
--- c/scala/Product5.class
+++ w/scala/Product5.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product5.scala"
-public interface scala.Product5 extends scala.Product,scala.ScalaObject{
+public interface scala.Product5 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product6.class w/scala/Product6.class
index c9a7b54e79..7988e0cb17 100644
--- c/scala/Product6.class
+++ w/scala/Product6.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product6.scala"
-public interface scala.Product6 extends scala.Product,scala.ScalaObject{
+public interface scala.Product6 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product7.class w/scala/Product7.class
index a28ef1a616..5fadbed639 100644
--- c/scala/Product7.class
+++ w/scala/Product7.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product7.scala"
-public interface scala.Product7 extends scala.Product,scala.ScalaObject{
+public interface scala.Product7 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product8.class w/scala/Product8.class
index f0a0b67287..371b0c8acf 100644
--- c/scala/Product8.class
+++ w/scala/Product8.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product8.scala"
-public interface scala.Product8 extends scala.Product,scala.ScalaObject{
+public interface scala.Product8 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Product9.class w/scala/Product9.class
index 3bccca3eaa..3a4dbc8e71 100644
--- c/scala/Product9.class
+++ w/scala/Product9.class
@@ -1,6 +1,6 @@
 
 Compiled from "Product9.scala"
-public interface scala.Product9 extends scala.Product,scala.ScalaObject{
+public interface scala.Product9 extends scala.Product{
 public abstract int productArity();
   Signature: ()I
 
diff --git c/scala/Right.class w/scala/Right.class
index 506098d857..92c6f16167 100644
--- c/scala/Right.class
+++ w/scala/Right.class
@@ -1,6 +1,6 @@
 
 Compiled from "Either.scala"
-public final class scala.Right extends scala.Either implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.Right extends scala.Either implements scala.Product,scala.Serializable{
 private final java.lang.Object b;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Some.class w/scala/Some.class
index f7db04de3c..cfcde6e3f5 100644
--- c/scala/Some.class
+++ w/scala/Some.class
@@ -1,6 +1,6 @@
 
 Compiled from "Option.scala"
-public final class scala.Some extends scala.Option implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.Some extends scala.Option implements scala.Product,scala.Serializable{
 private final java.lang.Object x;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple1.class w/scala/Tuple1.class
index 8fcd8a2c4d..806195caa5 100644
--- c/scala/Tuple1.class
+++ w/scala/Tuple1.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple1.scala"
-public class scala.Tuple1 extends java.lang.Object implements scala.Product1,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple1 extends java.lang.Object implements scala.Product1,scala.Serializable{
 public final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple11.class w/scala/Tuple11.class
index 5eda5b3130..f38ec86038 100644
--- c/scala/Tuple11.class
+++ w/scala/Tuple11.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple11.scala"
-public class scala.Tuple11 extends java.lang.Object implements scala.Product11,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple11 extends java.lang.Object implements scala.Product11,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple12.class w/scala/Tuple12.class
index 1953c7a69e..dbf49808bf 100644
--- c/scala/Tuple12.class
+++ w/scala/Tuple12.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple12.scala"
-public class scala.Tuple12 extends java.lang.Object implements scala.Product12,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple12 extends java.lang.Object implements scala.Product12,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple13.class w/scala/Tuple13.class
index 1020835f07..cb15a9be5d 100644
--- c/scala/Tuple13.class
+++ w/scala/Tuple13.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple13.scala"
-public class scala.Tuple13 extends java.lang.Object implements scala.Product13,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple13 extends java.lang.Object implements scala.Product13,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple14.class w/scala/Tuple14.class
index 576d631a75..8272402bd0 100644
--- c/scala/Tuple14.class
+++ w/scala/Tuple14.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple14.scala"
-public class scala.Tuple14 extends java.lang.Object implements scala.Product14,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple14 extends java.lang.Object implements scala.Product14,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple15.class w/scala/Tuple15.class
index abc63b9546..1f1be26073 100644
--- c/scala/Tuple15.class
+++ w/scala/Tuple15.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple15.scala"
-public class scala.Tuple15 extends java.lang.Object implements scala.Product15,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple15 extends java.lang.Object implements scala.Product15,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple16.class w/scala/Tuple16.class
index 9bb5605875..9d3a9cf5d8 100644
--- c/scala/Tuple16.class
+++ w/scala/Tuple16.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple16.scala"
-public class scala.Tuple16 extends java.lang.Object implements scala.Product16,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple16 extends java.lang.Object implements scala.Product16,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple17.class w/scala/Tuple17.class
index 907937eac6..70991ffed4 100644
--- c/scala/Tuple17.class
+++ w/scala/Tuple17.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple17.scala"
-public class scala.Tuple17 extends java.lang.Object implements scala.Product17,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple17 extends java.lang.Object implements scala.Product17,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple18.class w/scala/Tuple18.class
index 20fee57848..2401b61385 100644
--- c/scala/Tuple18.class
+++ w/scala/Tuple18.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple18.scala"
-public class scala.Tuple18 extends java.lang.Object implements scala.Product18,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple18 extends java.lang.Object implements scala.Product18,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple19.class w/scala/Tuple19.class
index eb076f36e5..75bb689d40 100644
--- c/scala/Tuple19.class
+++ w/scala/Tuple19.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple19.scala"
-public class scala.Tuple19 extends java.lang.Object implements scala.Product19,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple19 extends java.lang.Object implements scala.Product19,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple2.class w/scala/Tuple2.class
index 09494da83a..7be83caad6 100644
--- c/scala/Tuple2.class
+++ w/scala/Tuple2.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Zipped=class scala/Tuple$Zipped of class scala/Tuple
 
 Compiled from "Tuple2.scala"
-public class scala.Tuple2 extends java.lang.Object implements scala.Product2,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple2 extends java.lang.Object implements scala.Product2,scala.Serializable{
 public final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple21.class w/scala/Tuple21.class
index 42f7bef861..4ba6c0f7d4 100644
--- c/scala/Tuple21.class
+++ w/scala/Tuple21.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple21.scala"
-public class scala.Tuple21 extends java.lang.Object implements scala.Product21,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple21 extends java.lang.Object implements scala.Product21,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple22.class w/scala/Tuple22.class
index 9717ad359a..262c37efa1 100644
--- c/scala/Tuple22.class
+++ w/scala/Tuple22.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple22.scala"
-public class scala.Tuple22 extends java.lang.Object implements scala.Product22,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple22 extends java.lang.Object implements scala.Product22,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple3.class w/scala/Tuple3.class
index 0ada97967d..390c0760c6 100644
--- c/scala/Tuple3.class
+++ w/scala/Tuple3.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //Zipped=class scala/Tuple$Zipped of class scala/Tuple
 
 Compiled from "Tuple3.scala"
-public class scala.Tuple3 extends java.lang.Object implements scala.Product3,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple3 extends java.lang.Object implements scala.Product3,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple4.class w/scala/Tuple4.class
index 3ce19b893a..00d1befe4f 100644
--- c/scala/Tuple4.class
+++ w/scala/Tuple4.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple4.scala"
-public class scala.Tuple4 extends java.lang.Object implements scala.Product4,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple4 extends java.lang.Object implements scala.Product4,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple5.class w/scala/Tuple5.class
index 4dcc8004d8..9bf85dce05 100644
--- c/scala/Tuple5.class
+++ w/scala/Tuple5.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple5.scala"
-public class scala.Tuple5 extends java.lang.Object implements scala.Product5,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple5 extends java.lang.Object implements scala.Product5,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple6.class w/scala/Tuple6.class
index b56b5c3ac3..52709b0550 100644
--- c/scala/Tuple6.class
+++ w/scala/Tuple6.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple6.scala"
-public class scala.Tuple6 extends java.lang.Object implements scala.Product6,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple6 extends java.lang.Object implements scala.Product6,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple7.class w/scala/Tuple7.class
index ccae4c055f..69a5a6d7a4 100644
--- c/scala/Tuple7.class
+++ w/scala/Tuple7.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple7.scala"
-public class scala.Tuple7 extends java.lang.Object implements scala.Product7,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple7 extends java.lang.Object implements scala.Product7,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple8.class w/scala/Tuple8.class
index ae929aff68..c3b750d98a 100644
--- c/scala/Tuple8.class
+++ w/scala/Tuple8.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple8.scala"
-public class scala.Tuple8 extends java.lang.Object implements scala.Product8,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple8 extends java.lang.Object implements scala.Product8,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/Tuple9.class w/scala/Tuple9.class
index a6380623d8..bbb511d3c2 100644
--- c/scala/Tuple9.class
+++ w/scala/Tuple9.class
@@ -1,6 +1,6 @@
 
 Compiled from "Tuple9.scala"
-public class scala.Tuple9 extends java.lang.Object implements scala.Product9,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.Tuple9 extends java.lang.Object implements scala.Product9,scala.Serializable{
 private final java.lang.Object _1;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/UninitializedFieldError.class w/scala/UninitializedFieldError.class
index caeeff264b..ac19b5fddb 100644
--- c/scala/UninitializedFieldError.class
+++ w/scala/UninitializedFieldError.class
@@ -1,6 +1,6 @@
 
 Compiled from "UninitializedFieldError.scala"
-public final class scala.UninitializedFieldError extends java.lang.RuntimeException implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.UninitializedFieldError extends java.lang.RuntimeException implements scala.Product,scala.Serializable{
 private final java.lang.String msg;
   Signature: Ljava/lang/String;
 
diff --git c/scala/actors/$bang.class w/scala/actors/$bang.class
index 74e4e26d50..e4e933d2df 100644
--- c/scala/actors/$bang.class
+++ w/scala/actors/$bang.class
@@ -1,6 +1,6 @@
 
 Compiled from "Channel.scala"
-public class scala.actors.$bang extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.actors.$bang extends java.lang.Object implements scala.Product,scala.Serializable{
 private final scala.actors.Channel ch;
   Signature: Lscala/actors/Channel;
 
diff --git c/scala/actors/Actor$.class w/scala/actors/Actor$.class
index 7b11e678c4..d25f45439b 100644
--- c/scala/actors/Actor$.class
+++ w/scala/actors/Actor$.class
@@ -5,7 +5,7 @@ public final #= # of #; //blocker$=class scala/actors/Actor$blocker$ of class sc
 public #= # of #; //RecursiveProxyHandler=class scala/actors/Actor$RecursiveProxyHandler of class scala/actors/Actor
 
 Compiled from "Actor.scala"
-public final class scala.actors.Actor$ extends java.lang.Object implements scala.actors.Combinators,scala.ScalaObject,scala.Serializable{
+public final class scala.actors.Actor$ extends java.lang.Object implements scala.actors.Combinators,scala.Serializable{
 public static final scala.actors.Actor$ MODULE$;
   Signature: Lscala/actors/Actor$;
 
diff --git c/scala/actors/Actor.class w/scala/actors/Actor.class
index 59872ad157..2f7854cf21 100644
--- c/scala/actors/Actor.class
+++ w/scala/actors/Actor.class
@@ -6,7 +6,7 @@ public abstract #= # of #; //Value=class scala/Enumeration$Value of class scala/
 public #= # of #; //RecursiveProxyHandler=class scala/actors/Actor$RecursiveProxyHandler of class scala/actors/Actor
 
 Compiled from "Actor.scala"
-public interface scala.actors.Actor extends scala.actors.AbstractActor,scala.actors.ReplyReactor,scala.actors.ActorCanReply,scala.actors.InputChannel,scala.Serializable,scala.ScalaObject{
+public interface scala.actors.Actor extends scala.actors.AbstractActor,scala.actors.ReplyReactor,scala.actors.ActorCanReply,scala.actors.InputChannel,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/actors/ActorCanReply.class w/scala/actors/ActorCanReply.class
index b1c7373a23..d2113ced72 100644
--- c/scala/actors/ActorCanReply.class
+++ w/scala/actors/ActorCanReply.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ActorCanReply.scala"
-public interface scala.actors.ActorCanReply extends scala.actors.ReactorCanReply,scala.ScalaObject{
+public interface scala.actors.ActorCanReply extends scala.actors.ReactorCanReply{
 public abstract java.lang.Object $bang$qmark(java.lang.Object);
   Signature: (Ljava/lang/Object;)Ljava/lang/Object;
 
diff --git c/scala/actors/ActorProxy.class w/scala/actors/ActorProxy.class
index 104a3ce1b5..31dbba4c92 100644
--- c/scala/actors/ActorProxy.class
+++ w/scala/actors/ActorProxy.class
@@ -4,7 +4,7 @@ public final #= # of #; //blocker$=class scala/actors/Actor$blocker$ of class sc
 public abstract #= # of #; //Value=class scala/Enumeration$Value of class scala/Enumeration
 
 Compiled from "ActorProxy.scala"
-public class scala.actors.ActorProxy extends java.lang.Object implements scala.actors.Actor,scala.ScalaObject{
+public class scala.actors.ActorProxy extends java.lang.Object implements scala.actors.Actor{
 private final scala.actors.IScheduler scheduler;
   Signature: Lscala/actors/IScheduler;
 
diff --git c/scala/actors/DaemonActor.class w/scala/actors/DaemonActor.class
index 965a5c3dc0..536065ec35 100644
--- c/scala/actors/DaemonActor.class
+++ w/scala/actors/DaemonActor.class
@@ -1,6 +1,6 @@
 
 Compiled from "DaemonActor.scala"
-public interface scala.actors.DaemonActor extends scala.actors.Actor,scala.ScalaObject{
+public interface scala.actors.DaemonActor extends scala.actors.Actor{
 public abstract scala.actors.IScheduler scheduler();
   Signature: ()Lscala/actors/IScheduler;
 
diff --git c/scala/actors/Eval$.class w/scala/actors/Eval$.class
index 0b29370b27..50659b636b 100644
--- c/scala/actors/Eval$.class
+++ w/scala/actors/Eval$.class
@@ -1,6 +1,6 @@
 
 Compiled from "Future.scala"
-public final class scala.actors.Eval$ extends java.lang.Object implements scala.ScalaObject,scala.Product,scala.Serializable{
+public final class scala.actors.Eval$ extends java.lang.Object implements scala.Product,scala.Serializable{
 public static final scala.actors.Eval$ MODULE$;
   Signature: Lscala/actors/Eval$;
 
